Subject: bug#14382: 24.3.50; Strange display bug

From: Dmitry Gutov <[email-masked]>
Date: Sat, 11 May 2013 20:27:09 +0400

On 11.05.2013 18:54, Stefan Monnier wrote:
>>>> Maybe we should add a check that the header is not empty, and only show
>>>> the separator in that case.
>>> We could, tho normally the header should never be empty.
>> It starts empty
>
> That's the problem that needs fixing.  Can someone check why it doesn't
> start with "Summary:\nAuthor:\n\n".

It doesn't seem to have ever done that.

`log-edit' inserts those lines when its second argument is t.

`vc-log-edit' passes it nil in the second argument (and has been doing 
that since before rev 87525).

Having the "Author" header present by default seems to encourage the 
user to leave it empty (if they're the author). `vc-git-checkin', for 
example, doesn't look like it's going to handle the empty value.